doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'
        server_version: '8.4.0'
        # Don't update schema for entity which matching view
        schema_filter: ~^(?!view_)~
    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true
        enable_lazy_ghost_objects: true
        resolve_target_entities:
            Tigris\BaseBundle\Entity\Model\User: '%user_class%'
            Tigris\BaseBundle\Entity\Model\Group: '%group_class%'
        mappings:
            App:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
            gedmo_translatable:
                type: attribute
                prefix: Gedmo\Translatable\Entity
                dir: "%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Translatable/Entity"
            gedmo_translator:
                type: attribute
                prefix: Gedmo\Translator\Entity
                dir: "%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Translator/Entity"
            gedmo_loggable:
                type: attribute
                prefix: Gedmo\Loggable\Entity
                dir: "%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Loggable/Entity"
            tree:
                type: attribute
                prefix: Gedmo\Tree\Entity
                dir: "%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Tree/Entity"
        dql:
            string_functions:
                CAST: Oro\ORM\Query\AST\Functions\Cast
                DATE_FORMAT: Oro\ORM\Query\AST\Functions\String\DateFormat
                JSON_EXTRACT: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonExtract
                JSON_SEARCH: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonSearch
                JSON_CONTAINS: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonContains
        filters:
            gedmo_softdeleteable:
                class: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter
                enabled: true
        schema_ignore_classes:
            - Tigris\SocialBundle\Entity\View\ReactionView

when@test:
    doctrine:
        dbal:
            connections:
                default:
                    use_savepoints: true